# Generated from nsa-0.2.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nsa

Name: rubygem-%{gem_name}
Version: 0.2.8
Release: 1%{?dist}
Summary: Publish Rails application metrics to statsd
License: MIT
URL: https://github.com/localshred/nsa
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(mocha) >= 1.11
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(byebug) >= 10
# BuildRequires: rubygem(byebug) < 11
BuildArch: noarch

%description
Listen to your Rails ActiveSupport::Notifications and deliver to a Statsd
compatible backend.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nsa.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.8-1
- Initial package
